Clients

Get Client Details

GET
/api/v2/clients/{clientId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

clientId*integer

Client ID

Query Parameters

with?"customFields"

Comma separated list of optional parts to embed in the client payload. Omitted by default. customFields embeds the client's custom field values and additionally requires the custom_fields.values.view permission — requesting it without that permission is a 403.

Value in

  • "customFields"

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/clients/1?with=customFields" \  -H "accept-language: ja"
{  "analytics": [    {      "property": "umt",      "value": "1111"    }  ],  "clientId": 0,  "accounts": [    {      "accountId": 1,      "accountNumber": "123123",      "displayNumber": "123123",      "createTime": "2022-01-01T00:00:00+00:00"    }  ],  "birthday": "2022-01-01T00:00:00+00:00",  "city": "string",  "country": {    "countryId": 8,    "alpha2Code": "US",    "alpha3Code": "USA",    "countryName": "United States",    "numericCode": "840"  },  "company": {    "fullName": "full name company",    "shortName": "short name company"  },  "email": "foo@bar.com",  "internalType": "default",  "firstName": "Mary",  "lastName": "Smith",  "middleName": "Jane",  "name": "Mary Jane Smith",  "nickname": "Voronov",  "locale": "ja_JP",  "manager": {    "id": 0,    "enabled": true,    "email": "foo@bar.com",    "name": "John Smith",    "title": "mr.",    "phone": "+995577755422",    "resources": [      {        "key": "caption",        "locale": "ru_RU",        "value": "Lorem"      }    ],    "createTime": "2022-01-01T00:00:00+00:00"  },  "phone": "+7 999 200 00 00",  "riskLevel": "low",  "status": "active",  "tags": [    "string"  ],  "labels": [    {      "code": "deposited",      "name": "Deposited",      "kind": "system",      "colour": "#8E44AD"    }  ],  "type": {    "id": 0,    "name": "Individual"  },  "verificationLevel": {    "id": 0,    "name": "Level 1"  },  "jurisdictionId": 1,  "loggedAt": "2022-01-01T00:00:00+00:00",  "createTime": "2022-01-01T00:00:00+00:00",  "updateTime": "2022-01-01T00:00:00+00:00",  "limits": {    "maxDemoTradingAccounts": 1,    "maxLiveTradingAccounts": 1  },  "rights": [    {      "name": "deposit",      "isEnabled": true    }  ],  "customFields": [    {      "fieldId": "0191f3c2-2d9a-7b1e-9a3c-6f4b8c1d2e3f",      "name": "tax_number",      "label": "Tax number",      "type": "text",      "value": "string",      "isArchived": false    }  ]}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}